@import url("./normalize.css");
@import url("./fonts.css");
@import url("./variables.css");

body {
  padding: 32px 16px;
  height: 100%;
  color: var(--color-base-text);
  font-family: "Poppins", sans-serif;
}

a {
  color: inherit;
  text-decoration: none;
}
.media-mobile {
  display: none;
}

.ui-card {
  border-radius: 50px;
  background: var(--color-ui-card-background-gradient);
  backdrop-filter: blur(20px);
  display: flex;
  flex-direction: column;
  align-items: center;
}

.container {
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  gap: 16px;
  width: 100%;
  max-width: 1024px;
  height: 100%;
  align-items: center;
}
.main {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 16px;
}
.flex-wrapper {
  display: flex;
  flex-wrap: wrap;
  gap: 16px;
  align-items: center;
  justify-content: center;
}

.background-image {
  position: fixed;
  z-index: -1;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: url("../images/03f550b618bc012f7d9ffb87f8628772ecb059ee.png")
    50% / cover no-repeat;
}
.background-image::before {
  content: "";
  position: fixed;
  z-index: 5;
  inset: 0;
  background: #1c4367cc;
}

.hero-card {
  grid-column: span 3;
  gap: 18px;
  padding: 16px;
}
.hero-card__logo {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.hero-card__logo-image {
  max-width: 600px;
  width: 100%;
  height: auto;
}

.hero-card__title {
  text-align: center;
  font-size: clamp(19px, 5vw, 40px);
  font-style: italic;
  font-weight: bold;
  line-height: 1.2;
}
.hero-card__text {
  text-align: center;
  font-family: "Manrope";
  font-size: clamp(12px, 5vw, 16px);
  font-style: normal;
  font-weight: 500;
  line-height: 21px;
}

.social-card {
  grid-column: span 3;
  padding: 10px;
  display: flex;
  flex-direction: row;
  gap: 52px;
  align-items: center;
  justify-content: center;
}
.social-link__icon-black-layer {
  fill-opacity: 0;
  transition: fill-opacity 0.3s ease-out;
}
.social-link:hover .social-link__icon-black-layer {
  fill-opacity: 0.2;
}

.fb-card {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 16px;
  font-weight: bold;
  padding: 10px 20px;
  background-color: #3f6a86;
  border-radius: 50px;
  transition: background-color 0.3s ease-out;
}

.fb-card:hover {
  background-color: #7c99b5;
}

.social-link__text {
  font-size: clamp(12px, 5vw, 20px);
  line-height: 1.2;
  font-weight: 400;
}

.manager-card {
  gap: 12px;
  padding: 24px 44px;
  flex: 0 0 240px;

  display: flex;
  flex-direction: column;
  justify-content: space-between;

  min-height: 325px;
}
.manager-card__image {
  width: 100px;
  height: 100px;
  border-radius: 50%;
}
.manager-card__name {
  font-family: "Poppins";
  font-size: 32px;
  font-style: normal;
  font-weight: bold;
  line-height: 38.4px;
  white-space: nowrap;

  text-align: center;
}
.manager-contact {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 16px;
  width: 100%;

  font-size: clamp(12px, 5vw, 16px);

  background: var(--color-manager-contact-background);
  padding: 4px 16px 4px 4px;
  border-radius: 100px;
  text-decoration: none;
  transition: background 0.3s ease-out;
}
.manager-contact:hover {
  background: var(--color-manager-contact-background-hover);
}
.manager-contact__icon {
  flex-shrink: 0;
}
.manager-contact__name {
  font-family: "Rubik";
  font-size: 25px;
  font-style: normal;
  font-weight: 400;
  line-height: 150%;
  letter-spacing: 1.25px;
}

.manager-card__socials {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-items: center;
  gap: 8px;
}

.manager-contact__update {
  font-size: 12px;
  color: var(--color-base-white);
  font-family: "Poppins", sans-serif;
  text-align: center;
}

.footer {
  margin-top: auto;
}
.footer__text {
  text-align: center;
  font-family: "Poppins";
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
}

@media screen and (max-width: 1024px) {
  .container {
    max-width: 768px;
  }
  .manager-card {
    grid-column: span 3;
  }
}
@media screen and (max-width: 520px) {
  .media-desktop {
    display: none;
  }
  .media-mobile {
    display: block;
  }
  .background-image {
    background:
      linear-gradient(
        0deg,
        rgba(28, 67, 103, 0.8) 0%,
        rgba(28, 67, 103, 0.8) 100%
      ),
      url("../images/03f550b618bc012f7d9ffb87f8628772ecb059ee.png")
        lightgray -293.32px 0px / 386.034% 100% no-repeat;
  }
  .container {
    max-width: 380px;
  }
  .social-card {
    gap: 0;
    justify-content: space-between;
  }
  .manager-card__name {
    white-space: unset;
  }
}
@media screen and (max-width: 375px) {
  .manager-card {
    padding: 24px 24px;
    flex: unset;
    max-width: 240px;
    width: 100%;
  }
  .manager-contact {
    gap: 10px;
  }
}

#zeeshan,
#nidaWA,
#nidaFB,
#amnaFB,
#naveedWA {
  display: none;
}